Customer API v1 (deprecated)
Remove a Whitelisted IP
Remove a previously whitelisted IP address from a given license and location.
DELETE
/
customer
/
v1
/
licenses
/
{license}
/
delete-ip
Delete IP (v1)
curl --request DELETE \
--url https://orbitflare.com/api/customer/v1/licenses/{license}/delete-ip \
--header 'Content-Type: application/json' \
--header 'X-ORBIT-KEY: <api-key>' \
--data '
{
"ip_address": "127.0.0.1",
"location_id": 123
}
'import requests
url = "https://orbitflare.com/api/customer/v1/licenses/{license}/delete-ip"
payload = {
"ip_address": "127.0.0.1",
"location_id": 123
}
headers = {
"X-ORBIT-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-ORBIT-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_address: '127.0.0.1', location_id: 123})
};
fetch('https://orbitflare.com/api/customer/v1/licenses/{license}/delete-ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Deprecated. This endpoint is part of Customer API v1. Use Customer API v2 instead.
Authorizations
API key for v1 and v2 (when not using Bearer token)
Path Parameters
The license identifier.
Body
application/json
IP address and location ID to remove.
Response
IP removed successfully.
Was this page helpful?
⌘I
Delete IP (v1)
